@echo off 


REM Modify the paths for JDKjavac and JDKjar as needed
REM
SET JDKjavac="C:\Program Files\Java\jdk1.6.0_35\bin\javac"
SET JDKjar="C:\Program Files\Java\jdk1.6.0_35\bin\jar"



REM Users should not modify anything below this line
REM *******************************************************************************************************************

SET source=A.java
SET result1=A.class
SET result2=getJavaInfo.jar


echo ************************************************************************
echo *
echo * compile v0.1.2
echo * by Eric Gerds  http://www.pinlady.net/PluginDetect/
echo *
echo * This is a DOS batch program that will compile your Java source code "%source%"
echo * into an applet named "%result2%"...
echo *
echo * Instructions:
echo * 1) Make sure that you have a JDK (Java Development Kit) installed 
echo *    when using this batch program.
echo * 2) You will have to edit this batch program so that the paths
echo *    to your JDK (Java Development Kit) are correct.
echo * 3) Customize/edit the Java applet source file "%source%" as needed.
echo * 4) Drag and drop the file "%source%" onto this batch program to create
echo *    your applet "%result2%".
echo * 5) Open the VerifyApplet.htm web page in your browser to verify the
echo *    functionality of your newly created applet "%result2%".
echo *
echo * Current Path to JDK javac : 
echo *        %JDKjavac%
echo * Current Path to JDK jar : 
echo *        %JDKjar%
echo *
echo ************************************************************************
echo.
echo.


if "%~1"=="" ( 
  echo.
  echo ERROR: No input file was specified.
  echo To use this program, just drag and drop the source file "%source%"
  echo onto this batch program.
  echo.
  echo.
  pause
  exit
)

if not "%~nx1"=="%source%" ( 
  echo ERROR: Input source file should be named "%source%",
  echo not "%~nx1"
  echo.
  echo.
  pause
  exit
)


REM We do this check because we delete the "%result1%" file at some point.
REM We make sure to avoid accidentally deleting any important files.
if not "%result1%"=="A.class" ( 
  echo ERROR: "result1" variable must be set to "A.class",
  echo not "%result1%"
  echo.
  echo.
  pause
  exit
)


REM Change directories. For some reason,
REM this helps to make the final .jar file a bit smaller.
cd "%~dp1"

REM Compile input .java file to .class file.
REM
REM We need to specify target and source for OLDER Java versions when using
REM a newer Java SDK so that our compiled applets are compatible with older versions
REM of Java.
REM -O -target 1.1 -source 1.2
REM is needed to make it work in IE

echo Compiling "%source%" to "%result1%"
%JDKjavac% -O -target 1.1 -source 1.2  "%source%"
echo.
echo.

REM Convert .class file to .jar file.
REM The -M option will prevent a Manifest Directory/File from being placed in the final
REM output jar, which will make the jar somewhat smaller.

echo Converting "%result1%" to "%result2%"
%JDKjar% -cvfM "%result2%" "%result1%"
echo.
echo.

echo Deleting "%result1%" file
del "%result1%"
echo.
echo.

echo DONE
echo.
echo.
pause




